Bug 461699 - Review Request: remoot - ReMoot is a remote control wrapper
Summary: Review Request: remoot - ReMoot is a remote control wrapper
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-09-09 23:22 UTC by Fabian Affolter
Modified: 2008-12-30 23:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-22 17:28:30 UTC
Type: ---
wolfy: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Fabian Affolter 2008-09-09 23:22:46 UTC
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/remoot.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/remoot-0.9-1.fc9.src.rpm

Description:
ReMoot is a remote control that supports many popular multimedia applications
running on GNU/Linux. It wraps around these apps and provides a unified and 
easy-to-use interface which can be accessed in many different ways. You can 
use the remote control from the command-line, with desktop icons or panel 
buttons, over the web with "rewwwoot" or by mapping your multimedia keyboard 
to it so that you can control all supported applications with the same keys.

Scratch builds:
http://koji.fedoraproject.org/koji/taskinfo?taskID=816775

RPMlint says:
[[rpm@laptop024 noarch]$ rpmlint remoot-0.9-1.fc9*
remoot.noarch: W: file-not-utf8 /usr/share/doc/remoot-0.9/README
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 1 manuel wolfshant 2008-09-15 00:58:56 UTC
I recommend using http://downloads.sf.net/%{name}/%{name}-%{version}.tar.gz for Source0, it's way more reliable.
Your spec generates an empty debuginfo rpm, which is a no-no (check http://koji.fedoraproject.org/koji/getfile?taskID=816777&name=remoot-debuginfo-0.9-1.fc9.x86_64.rpm for instance)


Please fix the above (at least the second problem) and I will do a full review.

Comment 2 Fabian Affolter 2008-09-15 22:21:53 UTC
(In reply to comment #1)
> I recommend using http://downloads.sf.net/%{name}/%{name}-%{version}.tar.gz for
> Source0, it's way more reliable.

fixed

> Your spec generates an empty debuginfo rpm, which is a no-no (check
> http://koji.fedoraproject.org/koji/getfile?taskID=816777&name=remoot-debuginfo-0.9-1.fc9.x86_64.rpm
> for instance)

It's a perl program.  At the moment all perl specific stuff is missing in my spec file.  I guess after a complete rework this issue will pass away.  

> Please fix the above (at least the second problem) and I will do a full review.

Thank you

Comment 3 manuel wolfshant 2008-09-15 22:28:48 UTC
> It's a perl program.  At the moment all perl specific stuff is missing in my
spec file.  I guess after a complete rework this issue will pass away. 

Well then, rework it :) 
Seriously speaking, we cannot let in a package which generates useless debuginfo.rpm

Comment 4 Fabian Affolter 2008-10-07 21:37:02 UTC
(In reply to comment #1)

> Your spec generates an empty debuginfo rpm, which is a no-no (check

'BuildArch: noarch' added

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/remoot.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/remoot-0.9-2.fc9.src.rpm

Scratch builds:
http://koji.fedoraproject.org/koji/taskinfo?taskID=816777

Comment 5 manuel wolfshant 2008-10-08 23:18:57 UTC
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
--> see issue 1
 [x] Rpmlint output:
source RPM: empty
binary RPM:W: file-not-utf8 /usr/share/doc/remoot-0.9/README
--> see issue 2
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: Artistic 2.0
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [!] Sources used to build the package matches the upstream source, as provided in the spec URL.
     006430c9ee24d6645a10693c5a075c1722876e21 remoot-0.9.tar.gz
 [x] Package is not known to require ExcludeArch
 [!] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
--> see issue 3
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build
 [?] Package functions as described (no hardware to test with).
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.

ISSUES
1. two <code> have slipped in the Requires: perl line. Please replace it with
  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
2. please use iconv (plus touch -r to preserve the timestamp) to fix this. it's cosmetic but too easy to not fix it
3. The BR for perl(ExtUtils::MakeMaker) is useless. You are not using it.
3. Some of the "Requires" line are not needed either, rpmbuild peeks them automatically. Your current version of the spec leads to:
[wolfy@wolfy2 tmp]$ rpm -qpR  remoot-0.9-2.fc10.noarch.rpm
 /usr/bin/perl
 perl(:MODULE_COMPAT_) <== faulty because of issue 1
 perl(Benchmark)
 perl(Benchmark) <==duplicate
 perl(Tk)
 perl(Tk) <==duplicate
 perl(strict)
 perl(strict) <==duplicate
 perl(warnings)
 perl(warnings) <==duplicate
 rpmlib(CompressedFileNames) <= 3.0.4-1
 rpmlib(PayloadFilesHavePrefix) <= 4.0-1

compared with:
[wolfy@wolfy tmp]$ rpm -qpR  /var/lib/mock//fedora-development-x86_64/result
 /remoot-0.9-2.fc10.noarch.rpm
 /usr/bin/perl
 perl(:MODULE_COMPAT_5.10.0)
 perl(Benchmark)
 perl(Tk)
 perl(strict)
 perl(warnings)
 rpmlib(CompressedFileNames) <= 3.0.4-1
 rpmlib(PayloadFilesHavePrefix) <= 4.0-1

which happens if using


 Summary:        ReMoot is a remote control wrapper
 Name:           remoot
 Version:        0.9
 Release:        3%{?dist}
 License:        Artistic 2.0
 Group:          Applications/Productivity
 URL:            http://remoot.sourceforge.net/
 Source:         http://downloads.sf.net/%{name}/%{name}-%{version}.tar.gz
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch

 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

 %description

Comment 6 Fabian Affolter 2008-10-14 23:07:48 UTC
(In reply to comment #5)
>  [!] Sources used to build the package matches the upstream source, as provided
> in the spec URL.
>     006430c9ee24d6645a10693c5a075c1722876e21 remoot-0.9.tar.gz

tarball replaced, b94e5870308b366fafc9e9018edd6ac6
 
> ISSUES
> 1. two <code> have slipped in the Requires: perl line. Please replace it with
>   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

fixed, copy-and-paste error 

> 2. please use iconv (plus touch -r to preserve the timestamp) to fix this. it's
> cosmetic but too easy to not fix it

fixed

> 3. The BR for perl(ExtUtils::MakeMaker) is useless. You are not using it.

fixed

> 3. Some of the "Requires" line are not needed either, rpmbuild peeks them
> automatically. Your current version of the spec leads to:
> [wolfy@wolfy2 tmp]$ rpm -qpR  remoot-0.9-2.fc10.noarch.rpm

fixed

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/remoot.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/remoot-0.9-3.fc9.src.rpm

Scratch builds:
http://koji.fedoraproject.org/koji/taskinfo?taskID=881136

Comment 7 manuel wolfshant 2008-10-15 11:40:15 UTC
I see no further blocker, package APPROVED

Comment 8 Fabian Affolter 2008-10-16 22:28:26 UTC
New Package CVS Request
=======================
Package Name: remoot
Short Description: ReMoot is a remote control wrapper
Owners: fab
Branches: F-8 F-9
InitialCC:

Comment 9 Kevin Fenzi 2008-10-19 22:58:03 UTC
cvs done.

Comment 10 Fabian Affolter 2008-10-22 17:28:30 UTC
Thanks you guys for your help to make this package available.

Comment 11 Fedora Update System 2008-12-08 23:54:28 UTC
remoot-0.9-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/remoot-0.9-4.fc9

Comment 12 Fedora Update System 2008-12-08 23:54:32 UTC
remoot-0.9-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/remoot-0.9-4.fc10

Comment 13 Fedora Update System 2008-12-30 23:50:26 UTC
remoot-0.9-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2008-12-30 23:51:42 UTC
remoot-0.9-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.